Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.deployment.convertor
Class WebLogicConvertor

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.varia.deployment.convertor.WebLogicConvertor

All Implemented Interfaces:
  Convertor, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean, WebLogicConvertorMBean

public class WebLogicConvertor
extends org.jboss.system.ServiceMBeanSupport
implements Convertor, WebLogicConvertorMBean

Converts WebLogic applications.

Version:
  $Revision: 1.9 $

  20020519 Andreas Schaefer:

  - Creation
Author:
  Alex Loubyansky, Andreas Schaefer

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.varia.deployment.convertor.WebLogicConvertorMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`WebLogicConvertor()`

Method Summary
`boolean` | `accepts(URL url)` Checks if the deployment can be converted to a JBoss deployment by this converter.
`void` | `convert(org.jboss.deployment.DeploymentInfo di, File path)` Converts the necessary files to make the given deployment deployable on JBoss
`String` | `getDatasource()`
`String` | `getDatasourceMapping()`
`String` | `getDeployer()`
`String` | `getRemoveTable()`
`String` | `getWlVersion()`
`Properties` | `getXslParams()` Returns the XSL parameters
`void` | `setDatasource(String datasource)`
`void` | `setDatasourceMapping(String datasourceMapping)`
`void` | `setDeployer(String name)`
`void` | `setRemoveTable(String removeTable)`
`void` | `setWlVersion(String wlVersion)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### WebLogicConvertor

    public WebLogicConvertor()

Method Detail

### getDeployer

    public String getDeployer()

  Specified by:
    `getDeployer` in interface `WebLogicConvertorMBean`

### setDeployer

    public void setDeployer(String name)

  Specified by:
    `setDeployer` in interface `WebLogicConvertorMBean`

### getWlVersion

    public String getWlVersion()

  Specified by:
    `getWlVersion` in interface `WebLogicConvertorMBean`

### setWlVersion

    public void setWlVersion(String wlVersion)

  Specified by:
    `setWlVersion` in interface `WebLogicConvertorMBean`

### getRemoveTable

    public String getRemoveTable()

  Specified by:
    `getRemoveTable` in interface `WebLogicConvertorMBean`

### setRemoveTable

    public void setRemoveTable(String removeTable)

  Specified by:
    `setRemoveTable` in interface `WebLogicConvertorMBean`

### getDatasource

    public String getDatasource()

  Specified by:
    `getDatasource` in interface `WebLogicConvertorMBean`

### setDatasource

    public void setDatasource(String datasource)

  Specified by:
    `setDatasource` in interface `WebLogicConvertorMBean`

### getDatasourceMapping

    public String getDatasourceMapping()

  Specified by:
    `getDatasourceMapping` in interface `WebLogicConvertorMBean`

### setDatasourceMapping

    public void setDatasourceMapping(String datasourceMapping)

  Specified by:
    `setDatasourceMapping` in interface `WebLogicConvertorMBean`

### startService

    public void startService()

### stopService

    public void stopService()

### accepts

    public boolean accepts(URL url)

  Checks if the deployment can be converted to a JBoss deployment by this converter.

  Specified by:
    `accepts` in interface `Convertor`
  Parameters:
    `url` - The url of deployment to be converted
  Returns:
    true if this converter is able to convert

### convert

    public void convert(org.jboss.deployment.DeploymentInfo di,
                        File path)
                 throws Exception

  Converts the necessary files to make the given deployment deployable on JBoss

  Specified by:
    `convert` in interface `Convertor`
  Parameters:
    `di` - The deployment to be converted
    `path` - Path of the extracted deployment
  Throws:
    `Exception`

### getXslParams

    public Properties getXslParams()

  Returns the XSL parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.